﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Windows.Forms;
using System.Reflection;

namespace Amortize {

    public partial class LicenseForm : Form {

        public LicenseForm() {

            InitializeComponent();
            this.Text = String.Format("{0} License", AssemblyTitle);
            string path = path = System.IO.Path.GetDirectoryName(Application.ExecutablePath);
            path += "\\License.txt";
            try {
                this.txtLicense.Text = System.IO.File.ReadAllText(path);
            }
            catch {
                this.txtLicense.Text = "Error - License.txt file was not found.";
            }
        }

        public string AssemblyTitle {
            get {
                object[] attributes = Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyTitleAttribute), false);
                if (attributes.Length > 0) {
                    AssemblyTitleAttribute titleAttribute = (AssemblyTitleAttribute)attributes[0];
                    if (titleAttribute.Title != "") {
                        return titleAttribute.Title;
                    }
                }
                return System.IO.Path.GetFileNameWithoutExtension(Assembly.GetExecutingAssembly().CodeBase);
            }
        }

        private void btnClose_Click(object sender, EventArgs e) {

            this.DialogResult = DialogResult.OK;
        }
    }
}
